/***************************************************************************
                          cgeneralsetup.cpp  -  description
                             -------------------
    begin                : Thu Nov 25 1999
    copyright            : (C) 1999 by Tiberiu Craciun
    email                : tiberiu@akela.ro
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <kapp.h>
#include "cgeneralsetup.h"

CGeneralSetup::CGeneralSetup(QWidget *parent, const char *name) : QWidget(parent,name){
	initDialog();
	QString file("/etc/kphpdev");
	config = new CMainConfig(file);
	ReloadConfig();

  connect(btnQuit, SIGNAL(clicked()), SLOT(slotQuit()) );
  connect(Reload, SIGNAL(clicked()), SLOT(slotReload()) );
  connect(Save, SIGNAL(clicked()), SLOT(slotSave()) );
  connect(btnDelete, SIGNAL(clicked()), SLOT(slotDelPrj()) );
  connect(PrjAdd, SIGNAL(clicked()), SLOT(slotAddPrj()) );
  connect(PrjSave, SIGNAL(clicked()), SLOT(slotSavePrj()) );
  connect(cboProject, SIGNAL(activated(const char* )), SLOT(slotChangePrj(const char* )));
  connect(LogFileDir, SIGNAL(clicked()), SLOT(slotLogFileDir()) );
  connect(WWWRootDir, SIGNAL(clicked()), SLOT(slotWWWRootDir()) );
  connect(ProjDir, SIGNAL(clicked()), SLOT(slotProjectDir()) );
  connect(RulesFileDir, SIGNAL(clicked()), SLOT(slotRulesFileDir()) );

}

CGeneralSetup::~CGeneralSetup(){
}


/**  */
int CGeneralSetup::ReloadConfig(){
	Port->setText(config->getPort());
	RulesFile->setText(config->getIPRulesFile());
	LogFile->setText(config->getLogFile());
	RootPath->setText(config->getWWWRootPath());


	QString pr,prj;

  prj=config->getProjects();
	if(prj.right(1)!=","){
		prj+=",";
	}
	int index=0,ind, nrprj=0;
	cboProject->clear();
	while((ind=prj.find(',',index,FALSE))!=-1){
		pr=prj.mid(index,ind-index);
		index=ind+1;
		cboProject->insertItem(pr);
		nrprj++;
	}

	slotChangePrj(cboProject->currentText());

	return 1;
}




/**  */
void CGeneralSetup::slotQuit(){
//		config->save();
		kapp->exit();
}





























