/***************************************************************************
                          cmainconfig.h  -  description
                             -------------------
    begin                : Sun Nov 21 1999
    copyright            : (C) 1999 by Tiberiu Craciun
    email                : tiberiu@akela.ro
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CMAINCONFIG_H
#define CMAINCONFIG_H

#include <cconfig.h>

/**
  *@author Tiberiu Craciun
  */

class CMainConfig : public CConfig  {

public:
	CMainConfig(QString file);
	~CMainConfig();

public:
  QString getPort(){ return readGroupEntry("General","Port"); };
  QString getLogFile(){ return readGroupEntry("General","LogFile"); };
  QString getIPRulesFile(){ return readGroupEntry("General","IPRulesFile"); };
  QString getWWWRootPath(){ return readGroupEntry("General","WWWRoot"); };
  QString getProjects(){ return readGroupEntry("General","Projects"); };
  QString getProject(QString project){ return readGroupEntry("Projects",project); };

  void setPort(QString port){  writeGroupEntry("General","Port",port); };
  void setLogFile(QString logfile){  writeGroupEntry("General","LogFile",logfile); };
  void setIPRulesFile(QString rulesfile){  writeGroupEntry("General","IPRulesFile",rulesfile); };
  void setWWWRootPath(QString rootpath){ writeGroupEntry("General","WWWRoot",rootpath); };
  void setProjects(QString projects){  writeGroupEntry("General","Projects",projects); };
  void setProject(QString project,QString path){ writeGroupEntry("Projects",project,path); };

 	void delProject(QString project) { deleteGroupEntry("Projects",project); };

};

#endif






